    local assets = 
    {
        Asset("ANIM", "anim/emote_fx.zip")
    }

    local function fn()

    	local inst = CreateEntity()
    	inst.entity:AddTransform()
    	inst.entity:AddAnimState()

        inst.Transform:SetFourFaced()

        inst.AnimState:SetBank("emote_fx")
        inst.AnimState:SetBuild("emote_fx")
        inst.AnimState:PlayAnimation("emote_fx")

        inst:AddTag("FX")
        inst.persists = false
        inst:ListenForEvent("animover", function() inst:Remove() end)

        return inst
    end
    return Prefab("common/emote_fx", fn, assets)
